﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFrameworks>netstandard2.0;net6.0;net8.0</TargetFrameworks>
        <RootNamespace>Tecan.Sila2.ServerPooling</RootNamespace>
        <AssemblyName>Tecan.Sila2.ServerPool</AssemblyName>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
        <LangVersion>latest</LangVersion>
    </PropertyGroup>

    <PropertyGroup>
        <OutputPath>..\Build\</OutputPath>
        <DocumentationFile>..\Build\Tecan.Sila2.ServerPool.xml</DocumentationFile>
    </PropertyGroup>

    <ItemGroup>
        <Compile Include="..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Grpc.Core" Version="2.46.6" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Contracts\Contracts.csproj" />
        <ProjectReference Include="..\Framework.Grpc\Framework.Grpc.csproj" />
        <ProjectReference Include="..\Framework\Framework.csproj" />
    </ItemGroup>

</Project>
